Scilab Function
Last update : 00/00/0000

eval3d - valeurs d'une fonction sur une grille

### Calling Sequence

  `[z]=eval3d(fun,x,[y])`

### Parameters

- `fun` : fonction acceptant des arguments vectoriels
- `x,y` : 2 vecteurs de tailles (1,n1) et (1,n2) (par défaut `y=x`).
- `z` : matrice de taille (n1,n2).

### Description

Cette fonction renvoie une matrice `z(n1,n2)` où `z(i,j)=fun(x(i),y(j))`. Si la fonction `fun` n'accepte pas d'arguments vectoriels utiliser la primitive `feval`.

### Examples

      x=-5:5;y=x;
      deff('[z]=f(x,y)',['z= x.*y']);
      z=eval3d(f,x,y);
      plot3d(x,y,z);
    //
      deff('[z]=f(x,y)',['z= x*y']);
      z=feval(x,y,f);
      plot3d(x,y,z);

### See Also

`feval`,

### Author

Steer S.; ; ;